Subject: bug#16051: 24.3.50; Emacs hang - resize frame manually

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Dec 2013 17:18:37 +0200

> Date: Sat, 07 Dec 2013 15:23:53 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  > Now I understand why your build doesn't crash: you didn't specify
>  > GLYPH_DEBUG.  I build with --enable-checking='yes,glyphs'.  The
>  > function where Emacs hits the assertion is not compiled in without
>  > GLYPH_DEBUG being defined.
> 
> OK.  But Drew's didn't crash either and he talked about a hang IIRC.

His build is with GLYPH_DEBUG:

  In GNU Emacs 24.3.50.2 (i686-pc-mingw32)
   of 2013-11-28 on LEG570
  Bzr revision: 115271 [email-masked]
  Windowing system distributor `Microsoft Corp.', version 6.1.7601
  Configured using:
   `configure --enable-checking 'CFLAGS=-O0 -g3' CPPFLAGS=-DGLYPH_DEBUG=1'

I don't know why it didn't crash.

>  > Not sure what are you asking.  The Windows build seems indeed to be
>  > devoid of XPM,
> 
> Yes.  Currently building as
> 
>    Does Emacs use -lXaw3d?                                 no
>    Does Emacs use -lXpm?                                   no
>    Does Emacs use -ljpeg?                                  no
>    Does Emacs use -ltiff?                                  no
>    Does Emacs use a gif library?                           no
>    Does Emacs use -lpng?                                   no
>    Does Emacs use -lrsvg-2?                                no
>    Does Emacs use imagemagick?                             no
> 
> Why did the build script not complain (not that I mind - I rather prefer
> it this way)?

Complain about what?  It is perfectly OK to build without XPM, it's
just not common.

> Earlier I had to explicitly specify
> 
>   --without-xpm --without-png --without-jpeg --without-tiff --without-gif

Maybe on Unix.

> And BTW what happend to ./nt/msysconfig.sh?

Its functionality was incorporated into configure.